Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.quant.ninja
Class NinjaStreamWriter

    java.lang.Object
      org.encog.app.quant.ninja.NinjaStreamWriter

    public class NinjaStreamWriter

extends Object

Can be used from within NinjaTrader to export data. This class is usually placed inside of a NinjaTrader indicator to export NinjaTrader indicators and data. Ninja Trader, at this point, only directly supports C#. So this class will be of limited use on the Java platform.

Constructor Summary
`NinjaStreamWriter()` Construct the object, and set the defaults.

Method Summary
`void` | `beginBar(Date dt)` Begin a bar, for the specified date/time.
`void` | `close()` Close the file.
`void` | `endBar()` End the current bar.
`int` | `getPrecision()`
`void` | `open(String filename, boolean theHeaders, CSVFormat theFormat)` Open the file for output.
`void` | `setPercision(int thePrecision)` Set the percision to use.
`void` | `storeColumn(String name, double d)` Store a column.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NinjaStreamWriter

    public NinjaStreamWriter()

  Construct the object, and set the defaults.

Method Detail

### beginBar

    public final void beginBar(Date dt)

  Begin a bar, for the specified date/time.

  Parameters:
    `dt` - The date/time where the bar begins.

### close

    public final void close()

  Close the file.

### endBar

    public final void endBar()

  End the current bar.

### getPrecision

    public final int getPrecision()

  Returns:
    The precision to use.

### open

    public final void open(String filename,
                           boolean theHeaders,
                           CSVFormat theFormat)

  Open the file for output.

  Parameters:
    `filename` - The filename.
    `theHeaders` - True, if headers are present.
    `theFormat` - The CSV format.

### setPercision

    public final void setPercision(int thePrecision)

  Set the percision to use.

  Parameters:
    `thePrecision` - The percision to use.

### storeColumn

    public final void storeColumn(String name,
                                  double d)

  Store a column.

  Parameters:
    `name` - The name of the column.
    `d` - The value to store.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.